libetonyek::IWORKXMLContext Class Reference documentation

Public Member Functions | List of all members
libetonyek::IWORKXMLContext Class Referenceabstract

`#include <IWORKXMLContext.h>`

Inheritance diagram for libetonyek::IWORKXMLContext:

## Public Member Functions
virtual | ~IWORKXMLContext ()=0
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | attribute (int name, const char *value)=0
| Process an attribute. More...
virtual IWORKXMLContextPtr_t | element (int name)=0
| Create a context for parsing a child element. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...

## Constructor & Destructor Documentation

## ◆ ~IWORKXMLContext()

libetonyek::IWORKXMLContext::~IWORKXMLContext | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ attribute()

virtual void libetonyek::IWORKXMLContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| pure virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implemented in libetonyek::IWORKXMLContextEmpty, libetonyek::IWORKXMLContextElement, and libetonyek::IWORKDiscardContext.

## ◆ element()

virtual IWORKXMLContextPtr_t libetonyek::IWORKXMLContext::element | ( | int | name | ) |
| pure virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implemented in libetonyek::IWORKXMLContextEmpty, libetonyek::IWORKXMLContextText, and libetonyek::IWORKDiscardContext.

## ◆ endOfElement()

virtual void libetonyek::IWORKXMLContext::endOfElement | ( |  | ) |
| pure virtual

Signalize the end of an element.

Implemented in libetonyek::IWORKXMLContextMinimal, and libetonyek::IWORKDiscardContext.

## ◆ startOfElement()

virtual void libetonyek::IWORKXMLContext::startOfElement | ( |  | ) |
| pure virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implemented in libetonyek::IWORKXMLContextMinimal, and libetonyek::IWORKDiscardContext.

## ◆ text()

virtual void libetonyek::IWORKXMLContext::text | ( | const char * | value | ) |
| pure virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implemented in libetonyek::IWORKXMLContextEmpty, libetonyek::IWORKXMLContextElement, and libetonyek::IWORKDiscardContext.

The documentation for this class was generated from the following files:

- IWORKXMLContext.h
- IWORKXMLContext.cpp